FAQs

What are the object limits that Gemini supports?

The following table provides details on the object limits supported in Gemini:

Object Limit
Campaigns per advertiser account 10,000
Ad groups per campaign 10,000
Keywords per advertiser account 5,000,000
Keywords per ad group 10,000
Ads per ad group 50
Negative keywords per advertiser account 5,000,000
Location targeting objects per advertiser account 100,000
Maximum number of objects passed in API call 500
Shared Sets per account 20
Negative Keywords per Shared Set 5000
Shared Sitelinks per account 5000

Important

The total number of campaigns per account for advertisers is 10,000. Once you reach that limit and go beyond it, an error message is returned. There are no restrictions on the number of campaigns you can create daily.

Can my app make calls to versions older than the current version?

Yes. If you’re in v2, before the End of Life date, you can call the v1 API.

Will new features only be added to the latest API version?

Yes. No new features will be added to the v1 API.

How often will new features be added?

Typically, on a quarterly basis, if not sooner.

Will new features include UI changes?

Yes, if new object types are added or more restrictions implemented.

New changes to Bulk?

Yes, calling the v2 bulk APIs will use the v2 bulk schema (i.e., new features, like shared library and shared sitelink and changes in the bidding strategy enforcement for InstallApp, and so on). If you call the v1 bulk APIs, they will use the deprecated v1 bulk schema.

Will they have their versions?

No. Bulk will follow the API version.

Will there be separate versions of the documentation?

Yes. The v1 version of the documentation is available at the bottom of the Table of Contents.

Can I pick and choose endpoints? For example, adgroup v1 and campaign v2?

No. It’s not recommended. However, the old version of the API will still be available for one year.

What version does sandbox run?

The latest version.

Are there two sandbox versions now?

Yes, although it’s recommended that you call the v2 version.